# Uncomment the next line to define a global platform for your project
platform :ios, '10.0'
# Comment the next line if you're not using Swift and don't want to use dynamic frameworks
use_frameworks!
##Avoding 3rd warnings, it is useful
inhibit_all_warnings!

def network_pods
    pod 'Moya/RxSwift', '12.0.1'
    pod 'HandyJSON', '5.0.0-beta.1'
    pod 'RxSwift', '4.4.2'
    pod 'RxCocoa', '4.4.2'
    pod 'NSObject+Rx', '4.4.1'
    pod 'Toast-Swift'
    pod 'ESPullToRefresh'
    pod 'SKPhotoBrowser'
    pod 'FLEX'#, :configurations => ['Debug']
end

def test_pods
  pod 'Quick','8.0.2'
  pod 'Nimble','2.1.0'
end

workspace 'Moment.xcworkspace'

target 'Moment' do
  project 'Moment.xcodeproj'
  network_pods

  target 'MomentTests' do
    inherit! :search_paths
    # Pods for testing
    test_pods
  end

end
